[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'idea' (#fcl)

# TIDEAStream.Create

Creates a new instance of the TIDEAStream class

## Declaration

Source position: idea.pp line 87

`public constructor TIDEAStream.Create(`
`AKey: TIDEAKey;`
`Dest: TStream`
`); overload;`

## Arguments

`AKey` |  | Key to use for encryption/decryption
`Dest` |  | Stream to write encrypted data to/read encrypted data from

## Description

Create stores the encryption/decryption key and then calls the inherited Create to store the Dest stream.

## Errors

None.

## See also

TIDEAEncryptStream |  | IDEA encryption stream.
TIDEADeCryptStream |  | IDEA Decryption stream.

Documentation generated on: Feb 26 2014